Reference · API Reference

Pay by Bank API Endpoints

Details of API endpoints relevant to Pay by Bank.

Process a Payment

POST/acceptor/rest/transactions/{instId}/paymentProcess a Pay by Bank payment#
description:

Creates a primary Pay by Bank payment transaction for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe installation id
}
request body:
shared schema advancedPayments/primary-manage-rest-request
{
  • sessionId
    stringYour reference for the Customer's session.
  • locale
    stringThe ISO-639-1 code for your Customer's locale.
}

Responses

201Payment pending
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}

Resume a Payment

POST/acceptor/rest/transactions/{instId}/{transactionId}/resumeResume a Pay by Bank payment#
description:

Resumes a previously suspended Pay by Bank payment and returns the transaction as it now stands

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe installation id
  • transactionId
    stringMandatoryIdentifier of the original Pay by Bank transaction being resumed
}
request body:
shared schema advancedPayments/resume-secondary-manage-rest-request
{
}

Responses

201Payment resumed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Invalid request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}

Refund a Payment

POST/acceptor/rest/transactions/{instId}/{transactionId}/refundRefund a Pay by Bank payment#
description:

Refunds a previously processed Pay by Bank payment, in full or in part, for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryIdentifier of the original Pay by Bank transaction being refunded
}
request body:
shared schema advancedPayments/detailed-secondary-manage-rest-request
{
}

Responses

201Refund processed
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
400Refund rejected
response body:
shared schema advancedPayments/transaction-response-resource
{
  • any
    array (object items)
  • trace
    string
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Forbidden
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}

Hosted sessions

POST/hosted/rest/sessions/{instId}/paymentsInitialise Pay by Bank hosted session#
description:

Creates a hosted payment session that can include Pay by Bank for the supplied installation.

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryThe installation id
}
request body:
shared schema advancedPayments/initialise-hosted-payment-rest-request
{
  • locale
    stringThe ISO-639-1 code for your Customer's locale.
}

Responses

201Created
response body:
shared schema advancedPayments/initialise-hosted-payment-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
400Bad Request
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
403Forbidden
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}
404Not Found
response body:
shared schema advancedPayments/get-hosted-session-status-response
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGoutcome of session retrieval request, SUCCESS or FAILED.
  • reasonCode
    stringReturnedMachine-readable code for why the request could not be fulfilled.
  • reasonMessage
    stringReturnedmessage describing session retrieval error.
}
415Unsupported Media Type
response body:
shared schema advancedPayments/outcome-response-detail
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors. In the case of a decline this message can be very general. There can be useful guidance to the cause of the decline in processing.authResponse.gatewayMessage.
}
500Internal Server Error
response body:
shared schema advancedPayments/hosted-initialisation-response
{
  • sessionId
    string (≤ 255 chars)Our ID for the hosted session.
  • redirectUrl
    stringThe URL you should direct your customer to to start the hosted session.
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGIndicates the status of the session creation.
  • reasonCode
    string (≤ 255 chars)Further information about the status of the session creation.
  • reasonMessage
    string (≤ 255 chars)Further information about the status of the session creation. This is where we will provide detailed information about any errors.
  • trace
    string
}

Transactions

GET/acceptor/rest/transactions/{instId}/{transactionId}Get a Pay by Bank transaction#
description:

Retrieves a single transaction by its identifier for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
  • transactionId
    stringMandatoryTransaction identifier
}

Responses

200Transaction retrieved
response body:
shared schema advancedPayments/transaction-resource
{
  • locale
    string (≤ 255 chars)
  • sessionId
    string (≤ 255 chars)
}
400Invalid installation or transaction identifier
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404Transaction not found
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
GET/acceptor/rest/transactions/{instId}/byRefFind Pay by Bank transactions by merchant reference#
description:

Retrieves transactions matching the supplied merchant reference for the given installation

authorization:HTTP Basic
content-type: application/json
path parameters:
{
  • instId
    stringMandatoryInstallation identifier
}
query parameters:
{
  • merchantRef
    stringMandatoryMerchant reference to search for
}

Responses

200Transactions retrieved
response body:
shared schema advancedPayments/transaction-resource
[ {
  • locale
    string (≤ 255 chars)
  • sessionId
    string (≤ 255 chars)
} ]
400Invalid installation identifier or merchant reference
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
401Unauthorized
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
403Access denied
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}
404No transactions found
response body:
shared schema advancedPayments/validation-failure-outcome
{
  • status
    stringReturnedPossible values: SUCCESS, FAILED, PROCESSINGThe overall outcome of the request.
  • reasonCode
    string (≤ 255 chars)ReturnedA code indicating the overall outcome of the request. Refer to Errors for more information.
  • reasonMessage
    string (≤ 255 chars)ReturnedA message indicating the overall outcome of the request. This is where we'll provide detailed reasons for any errors.
}
500Internal Server Error
response body:
shared schema advancedPayments/error-response
{
  • status
    string
  • error
    string
  • message
    string
  • path
    string
  • timestamp
    string (date-time)
}